Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.jess
Class JessController

    java.lang.Object
      madkit.utils.agents.LanguageController
          madkit.jess.JessController

All Implemented Interfaces:
  Controller

    public class JessController

extends LanguageController
implements Controller

JessController: the controller of agents whose behavior is defined in Jess (c) 2001 - Madkit Team

Version:
  1.1
Author:
  J. Ferber

Field Summary
`static java.lang.String` | `DATE`
`static java.lang.String` | `VERSION`

Fields inherited from class madkit.utils.agents.LanguageController
`thisAgent`

Constructor Summary
`JessController(AbstractAgent _ag)`
`JessController(AbstractAgent _ag, java.lang.String f)`

Method Summary
`void` | `activate()` The activate method which takes precedence over the activate method defined in the agent.
`void` | `doBroadcastMessage(java.lang.String g, java.lang.String r, Message m)`
`void` | `doBroadcastMessage(java.lang.String c, java.lang.String g, java.lang.String r, Message m)`
`int` | `doCreateGroup(boolean dist, java.lang.String group)`
`int` | `doCreateGroup(boolean dist, java.lang.String comm, java.lang.String group)`
`AgentAddress[]` | `doGetAgentsWithRole(java.lang.String group, java.lang.String role)`
`AgentAddress[]` | `doGetAgentsWithRole(java.lang.String comm, java.lang.String group, java.lang.String role)`
`AgentAddress` | `doGetAgentWithRole(java.lang.String group, java.lang.String role)`
`AgentAddress` | `doGetAgentWithRole(java.lang.String comm, java.lang.String group, java.lang.String role)`
`java.lang.String[]` | `doGetAvailableCommunities()`
`java.lang.String[]` | `doGetExistingGroups()`
`java.lang.String[]` | `doGetExistingGroups(java.lang.String comm)`
`java.lang.String[]` | `doGetMyGroups()`
`java.lang.String[]` | `doGetMyGroups(java.lang.String comm)`
`java.lang.String` | `doGetName()`
`java.lang.String[]` | `doGetRoles(java.lang.String group)`
`boolean` | `doIsGroup(java.lang.String group)`
`boolean` | `doIsGroup(java.lang.String comm, java.lang.String group)`
`boolean` | `doIsRole(java.lang.String group, java.lang.String role)`
`boolean` | `doIsRole(java.lang.String comm, java.lang.String group, java.lang.String role)`
`void` | `doIt()` The doIt() activation method for synchronous agents
`void` | `doLaunchAgent(AbstractAgent agent, java.lang.String name, boolean gui)`
`void` | `doLeaveGroup(java.lang.String group)`
`void` | `doLeaveGroup(java.lang.String comm, java.lang.String group)`
`void` | `doLeaveRole(java.lang.String group, java.lang.String role)`
`void` | `doLeaveRole(java.lang.String comm, java.lang.String group, java.lang.String role)`
`void` | `doPause(int n)`
`int` | `doRequestRole(java.lang.String group, java.lang.String role)`
`int` | `doRequestRole(java.lang.String comm, java.lang.String group, java.lang.String role)`
`void` | `doSendControlMessage(java.lang.String act)`
`void` | `doSendControlMessage(java.lang.String act, java.lang.String cont)`
`void` | `doSendMessage(AgentAddress a, Message m)`
`void` | `doSendMessage(java.lang.String g, java.lang.String r, Message m)`
`void` | `doSendStringMessage(AgentAddress a, java.lang.String m)`
`boolean` | `getActivate()`
`java.lang.String` | `getMessageType(java.lang.String x)`
`Rete` | `getRete()`
`void` | `halt()`
`protected void` | `handleControlMessage(ControlMessage m)`
`protected boolean` | `handleMyMessages(Message m)`
`void` | `live()` The live method which describes the overall behavior of a ("asynchronous") agent.
`void` | `loadFile(java.lang.String f)`
`void` | `println(java.lang.String s)`
`void` | `readMessages()`
`void` | `setActivate(boolean b)`
`void` | `setMessageType(java.lang.String x, java.lang.String y)`

Methods inherited from class madkit.utils.agents.LanguageController
`end, exitImmediatlyOnKill, getBehaviorFile, getLibFile, getWatchControlMessages, getWatchInMessages, getWatchOutMessages, getWatchRestartEngine, handleMessage, setBehaviorFile, setLibFile, setWatchControlMessages, setWatchInMessages, setWatchOutMessages, setWatchRestartEngine, thisAgent, toggleWatchControlMessages, toggleWatchInMessages, toggleWatchOutMessages, toggleWatchRestartEngine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface madkit.kernel.Controller
`end, thisAgent`

Field Detail

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### JessController

    public JessController(AbstractAgent _ag)

### JessController

    public JessController(AbstractAgent _ag,
                          java.lang.String f)

Method Detail

### getRete

    public Rete getRete()

### getMessageType

    public java.lang.String getMessageType(java.lang.String x)

### setMessageType

    public void setMessageType(java.lang.String x,
                               java.lang.String y)

### setActivate

    public void setActivate(boolean b)

### getActivate

    public boolean getActivate()

### activate

    public void activate()

  Description copied from interface: `Controller`
  The activate method which takes precedence over the activate method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `activate` in interface `Controller`
  Overrides:
    `activate` in class `LanguageController`

### println

    public void println(java.lang.String s)

  Overrides:
    `println` in class `LanguageController`

### halt

    public void halt()

### handleControlMessage

    protected void handleControlMessage(ControlMessage m)

  Overrides:
    `handleControlMessage` in class `LanguageController`

### handleMyMessages

    protected boolean handleMyMessages(Message m)

### live

    public void live()

  Description copied from interface: `Controller`
  The live method which describes the overall behavior of a ("asynchronous") agent.

  Warning: This method takes precedence over the agent's live method. The agent's live method does not work when a controller is "plugged" into an agent..

  Specified by:
    `live` in interface `Controller`
  Overrides:
    `live` in class `LanguageController`

### doIt

    public void doIt()

  The doIt() activation method for synchronous agents

  Specified by:
    `doIt` in interface `Controller`
  Overrides:
    `doIt` in class `LanguageController`

### readMessages

    public void readMessages()

  Overrides:
    `readMessages` in class `LanguageController`

### doPause

    public void doPause(int n)

  Overrides:
    `doPause` in class `LanguageController`

### doRequestRole

    public int doRequestRole(java.lang.String group,
                             java.lang.String role)

### doRequestRole

    public int doRequestRole(java.lang.String comm,
                             java.lang.String group,
                             java.lang.String role)

### doLeaveRole

    public void doLeaveRole(java.lang.String group,
                            java.lang.String role)

### doLeaveRole

    public void doLeaveRole(java.lang.String comm,
                            java.lang.String group,
                            java.lang.String role)

### doLeaveGroup

    public void doLeaveGroup(java.lang.String group)

### doLeaveGroup

    public void doLeaveGroup(java.lang.String comm,
                             java.lang.String group)

### doGetAgentsWithRole

    public AgentAddress[] doGetAgentsWithRole(java.lang.String group,
                                              java.lang.String role)

### doGetAgentsWithRole

    public AgentAddress[] doGetAgentsWithRole(java.lang.String comm,
                                              java.lang.String group,
                                              java.lang.String role)

### doGetAgentWithRole

    public AgentAddress doGetAgentWithRole(java.lang.String group,
                                           java.lang.String role)

### doGetAgentWithRole

    public AgentAddress doGetAgentWithRole(java.lang.String comm,
                                           java.lang.String group,
                                           java.lang.String role)

### doGetName

    public java.lang.String doGetName()

### doGetRoles

    public java.lang.String[] doGetRoles(java.lang.String group)

### doGetMyGroups

    public java.lang.String[] doGetMyGroups()

### doGetMyGroups

    public java.lang.String[] doGetMyGroups(java.lang.String comm)

### doGetExistingGroups

    public java.lang.String[] doGetExistingGroups()

### doGetExistingGroups

    public java.lang.String[] doGetExistingGroups(java.lang.String comm)

### doGetAvailableCommunities

    public java.lang.String[] doGetAvailableCommunities()

### doIsGroup

    public boolean doIsGroup(java.lang.String group)

### doIsGroup

    public boolean doIsGroup(java.lang.String comm,
                             java.lang.String group)

### doIsRole

    public boolean doIsRole(java.lang.String group,
                            java.lang.String role)

### doIsRole

    public boolean doIsRole(java.lang.String comm,
                            java.lang.String group,
                            java.lang.String role)

### doCreateGroup

    public int doCreateGroup(boolean dist,
                             java.lang.String group)

### doCreateGroup

    public int doCreateGroup(boolean dist,
                             java.lang.String comm,
                             java.lang.String group)

### doLaunchAgent

    public void doLaunchAgent(AbstractAgent agent,
                              java.lang.String name,
                              boolean gui)

  Overrides:
    `doLaunchAgent` in class `LanguageController`

### doSendStringMessage

    public void doSendStringMessage(AgentAddress a,
                                    java.lang.String m)

  Overrides:
    `doSendStringMessage` in class `LanguageController`

### doSendMessage

    public void doSendMessage(AgentAddress a,
                              Message m)

  Overrides:
    `doSendMessage` in class `LanguageController`

### doSendControlMessage

    public void doSendControlMessage(java.lang.String act)

  Overrides:
    `doSendControlMessage` in class `LanguageController`

### doSendControlMessage

    public void doSendControlMessage(java.lang.String act,
                                     java.lang.String cont)

  Overrides:
    `doSendControlMessage` in class `LanguageController`

### doSendMessage

    public void doSendMessage(java.lang.String g,
                              java.lang.String r,
                              Message m)

  Overrides:
    `doSendMessage` in class `LanguageController`

### doBroadcastMessage

    public void doBroadcastMessage(java.lang.String g,
                                   java.lang.String r,
                                   Message m)

  Overrides:
    `doBroadcastMessage` in class `LanguageController`

### doBroadcastMessage

    public void doBroadcastMessage(java.lang.String c,
                                   java.lang.String g,
                                   java.lang.String r,
                                   Message m)

  Overrides:
    `doBroadcastMessage` in class `LanguageController`

### loadFile

    public void loadFile(java.lang.String f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.